Package org.eclipse.birt.chart.model.data.impl

# Class DateTimeDataElementImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.data.impl.DataElementImpl
org.eclipse.birt.chart.model.data.impl.DateTimeDataElementImpl

All Implemented Interfaces:
  `DataElement`, `DateTimeDataElement`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DateTimeDataElementImpl extends DataElementImpl implements DateTimeDataElement
An implementation of the model object ' Date Time Data Element'.

The following features are implemented:

- `Value`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`DateTimeDataElement`
`copyInstance()`
`static final DateTimeDataElement`
`create(long lValue)`
A convenience method provided to return an initialized DateTimeDataElement
`static final DateTimeDataElement`
`create(com.ibm.icu.util.Calendar caValue)`
A convenience method provided to return an initialized DateTimeDataElement
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`long`
`getValue()`
`final com.ibm.icu.util.Calendar`
`getValueAsCalendar()`
A convenient method provided to return the datetime value as a Calendar NOTE: Manually written
`final CDateTime`
`getValueAsCDateTime()`
A convenient method provided to return the datetime value as a CDateTime wrapper NOTE: Manually written
`boolean`
`isSetValue()`
`void`
`setValue(long newValue)`
`String`
`toString()`
`void`
`unsetValue()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

public long getValue()

Specified by:
  `getValue` in interface `DateTimeDataElement`
Returns:
  the value of the 'Value' attribute.
See Also:
  - `DateTimeDataElement.isSetValue()`
  - `DateTimeDataElement.unsetValue()`
  - `DateTimeDataElement.setValue(long)`
  - `DataPackage.getDateTimeDataElement_Value()`

### setValue

public void setValue(long newValue)

Specified by:
  `setValue` in interface `DateTimeDataElement`
Parameters:
  `newValue` - the new value of the 'Value' attribute.
See Also:
  - `DateTimeDataElement.isSetValue()`
  - `DateTimeDataElement.unsetValue()`
  - `DateTimeDataElement.getValue()`

### unsetValue

public void unsetValue()

Specified by:
  `unsetValue` in interface `DateTimeDataElement`
See Also:
  - `DateTimeDataElement.isSetValue()`
  - `DateTimeDataElement.getValue()`
  - `DateTimeDataElement.setValue(long)`

### isSetValue

public boolean isSetValue()

Specified by:
  `isSetValue` in interface `DateTimeDataElement`
Returns:
  whether the value of the 'Value' attribute is set.
See Also:
  - `DateTimeDataElement.unsetValue()`
  - `DateTimeDataElement.getValue()`
  - `DateTimeDataElement.setValue(long)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final DateTimeDataElement create(com.ibm.icu.util.Calendar caValue)
A convenience method provided to return an initialized DateTimeDataElement

Parameters:
  `dtdeValue` -
Returns:

### create

public static final DateTimeDataElement create(long lValue)
A convenience method provided to return an initialized DateTimeDataElement

Parameters:
  `dtdeValue` -
Returns:

### getValueAsCalendar

public final com.ibm.icu.util.Calendar getValueAsCalendar()
Description copied from interface: `DateTimeDataElement`
A convenient method provided to return the datetime value as a Calendar NOTE: Manually written

Specified by:
  `getValueAsCalendar` in interface `DateTimeDataElement`
Returns:

### getValueAsCDateTime

public final CDateTime getValueAsCDateTime()
Description copied from interface: `DateTimeDataElement`
A convenient method provided to return the datetime value as a CDateTime wrapper NOTE: Manually written

Specified by:
  `getValueAsCDateTime` in interface `DateTimeDataElement`
Returns:

### copyInstance

public DateTimeDataElement copyInstance()

Specified by:
  `copyInstance` in interface `DataElement`
Specified by:
  `copyInstance` in interface `DateTimeDataElement`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `DataElementImpl`